#
# spec file for package cdesim (Version 0.42)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  -fvwm glib glib-devel gpp gtk gtk-devel gtkdoc imlib imlib-config imlib-devel libgpp libstroke libstroke-devel readline readline-devel xf86
# usedforbuild    -fvwm aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gpp gppshare grep groff gtk gtk-devel gtkdoc gzip imlib imlib-config imlib-devel kbd less libgpp libstroke libstroke-devel libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline readline-devel rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         cdesim
Copyright:    free
Group:        X11/Window Managers
Requires:     fvwm2 susewm icons icons-xpm
Autoreqprov:  on
Version:      0.42
Release:      458
%define fvwmver 2.4.0
Summary:      CDE simulator
Source:       cdesim-%{version}.tar.bz2
Source1:      ftp://ftp.fvwm.org/pub/fvwm/version-2/fvwm-%{fvwmver}.tar.bz2
Source2:      CDEBanner.tar.bz2
Patch0:       cdesim-%{version}.patch
Patch1:       fvwm-%{fvwmver}-config.patch
Patch2:       fvwm-%{fvwmver}-fvwmrc.patch
Patch3:	      fvwm-%{fvwmver}-ia64.patch
Patch4:	      fvwm-%{fvwmver}-ia64-prep.patch
Patch5:	      fvwm-%{fvwmver}-conf.patch
BuildRoot:    %{_tmppath}/%{name}-build

%description
CDEsim simulates a window manager.
With the help of fvwm (version 2), it simulates the "look and feel" of
the popular CDE user interface. More the look than the feel. It is
fully integrated into the susewm window manager configuration tool, and
will be automatically preconfigured.
Documentation and original configuration files under:
/usr/share/doc/packages/cdesim
Please read /usr/share/doc/packages/cdesim/README.cdesim
(also available from the cdesim menu!).

Authors:
--------
    Michael A. Haas <gnosis@infinet.com>
    Martin Scherbaum <maddin@suse.de>

SuSE series: xwm

%prep
%setup -a 1 -a 2
%patch0
#
ln -sf fvwm-%{fvwmver} fvwm
cd fvwm-%{fvwmver}
%patch1
%patch2
%patch3
%patch4
%patch5

%build
cd fvwm
%{?suse_update_config:%{suse_update_config -f}}
libtoolize --force
aclocal
automake --gnu --include-deps Makefile
autoconf
CFLAGS="$RPM_OPT_FLAGS" \
./configure --enable-extras \
	--with-x \
	--prefix=/usr/X11R6 \
	--sysconfdir=/etc/X11/fvwm2 \
	--libexecdir=\${prefix}/lib/X11/fvwm2 \
	--enable-multibyte
cd libs
make all
cd ../..
#
make compile

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
if [ -x /usr/X11R6/bin/link_pixmaps ] ; then
  /usr/X11R6/bin/link_pixmaps $RPM_BUILD_ROOT/usr/X11R6/lib/X11/cdesim \
                   /usr/X11R6/include/X11/pixmaps
fi
#
cd CDEBanner
make install.man DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Xdefaults system.fvwm2rc xfmrc gif/md6.gif gif/bluribbn.gif
%doc README README-v2.0 Fvwm2-CDEm-v1.0a.lsm Fvwm2-CDEm-v2.0.lsm
%doc README.cdesim
/usr/X11R6/bin/
/usr/X11R6/lib/X11/cdesim/*.xpm
/usr/X11R6/lib/X11/cdesim/CDEBanner
/usr/X11R6/lib/X11/cdesim/CDEButtons
%config /usr/X11R6/lib/X11/cdesim/.cdesimrc
%config /usr/X11R6/lib/X11/cdesim/Xresources
/usr/X11R6/man/man1/

%changelog -n cdesim
* Thu Aug 09 2001 - pmladek@suse.cz
- updated fvwm2 to stable version 2.4.0
* Thu Jun 14 2001 - pmladek@suse.cz
- added changes for fvwm2 with new autoconf
- moved CDEBanner sources from patch
- added man page for CDEBanner
- specfile clean up
- bzipped sources
* Tue Apr 24 2001 - pmladek@suse.cz
- added patches for fvwm2 for ia64
* Thu Apr 12 2001 - pmladek@suse.cz
- updated fvwm2 to version 2.3.31
- added libstroke and libstroke-devel to neededforbuild
  according to fvwm2
* Mon Apr 09 2001 - pmladek@suse.cz
- added icons-xpm to Requires
* Fri Mar 30 2001 - pmladek@suse.cz
- updated fvwm to version 2.3.30
- fvwm compiled witk GTK and IMLIB
  * added gtk gtk-devel gtkdoc glib glib-devel imlib imlib-devel
  imlib-config to neededforbuild
- fixed call of suse_update_config
* Wed Mar 07 2001 - mfabian@suse.de
- upgrade fvwm to fvwm-2.3.29
* Fri Feb 23 2001 - ro@suse.de
- added readline/readline-devel to neededforbuild (split from bash)
* Sun Jan 28 2001 - mfabian@suse.de
- fixed to build with fvwm-2.3.28
- added --enable-multibyte
- changed font settings in /usr/X11R6/lib/X11/cdesim/.cdesimrc
  to use fontsets instead of single fonts.
* Mon Nov 20 2000 - cihlar@suse.cz
- fixed neededforbuild
- requires: icons ..
* Fri Oct 13 2000 - cihlar@suse.cz
- fixed configuration
- fixed to compile with fvwm-2.2.4
* Fri Aug 18 2000 - cihlar@suse.cz
- fixed to work with new pixmaps
* Mon Jun 05 2000 - ro@suse.de
- specfile cleanup, doc relocation
* Tue Sep 14 1999 - bs@suse.de
- created changes
%changelog -n fvwm2
* Thu Aug 09 2001 - pmladek@suse.cz
- updated to stable version 2.4.0
- fixed configure.in
  * forget cached value in readline tests
* Thu Jun 14 2001 - pmladek@suse.cz
- fixed to compile with new automake
* Wed May 16 2001 - pmladek@suse.cz
- fixed cast warnigs on ia64
* Thu May 10 2001 - pmladek@suse.cz
- removed link:
  ln -sf system.fvwm2rc $RPM_BUILD_ROOT/etc/X11/fvwm2/.fvwm2rc
  (because susewm generates right config file system.fvwm2rc now)
- /etc/X11/fvwm2/system.fvwm2rc is right config file now
* Tue Apr 24 2001 - pmladek@suse.cz
- fixed conversions int <-> poiter on ia64
- fixed preprocesor problems on ia64
* Thu Apr 12 2001 - pmladek@suse.cz
- updated to version 2.3.31
* Mon Apr 09 2001 - pmladek@suse.cz
- added icons-xpm to Requires
* Wed Apr 04 2001 - mfabian@suse.de
- removed rplay again from "# neededforbuild" because a small
  fvwm2 is needed as a default windowmanager and rplay will not
  be in the default selection.
* Wed Apr 04 2001 - mfabian@suse.de
- added libstroke, libstroke-devel, and rplay to "# neededforbuild"
  (request of upstream fvwm2 authors)
* Fri Mar 30 2001 - pmladek@suse.cz
- updated to version 2.3.30
- added URL
- compiled witk GTK and IMLIB
  * added gtk gtk-devel gtkdoc glib glib-devel imlib imlib-devel
  imlib-config to neededforbuild
- fixed call of suse_update_config
* Thu Mar 15 2001 - cihlar@suse.cz
- fixed file list
- removed xselection, package xselect is better
* Wed Mar 07 2001 - mfabian@suse.de
- repair packaging mistake, forgot to pack /usr/X11R6/share/
* Wed Mar 07 2001 - mfabian@suse.de
- upgrade to fvwm2-2.3.29
- improve nls examples
* Fri Feb 23 2001 - ro@suse.de
- added readline/readline-devel to neededforbuild (split from bash)
* Sun Jan 28 2001 - mfabian@suse.de
- upgraded to "stable beta release" FVWM 2.3.28.
- added icons tarball (previously included in main tarball)
- added "--enable-multibyte" to ./configure
- added fvwm-nls-examples.tar.bz2 (explanation and examples
  for native language support, especially for Japanese)
- added symlink:
  ln -sf system.fvwm2rc $RPM_BUILD_ROOT/etc/X11/fvwm2/.fvwm2rc
  (because fvwm2 now reads only /etc/X11/fvwm2/system.fvwm2rc, but
  SuSEconfig generates /etc/X11/fvwm/.fvwm2rc)
- removed patches changing path of perl (handled by configure now)
- removed old i18n patch (already included upstream now)
* Wed Dec 13 2000 - cihlar@suse.cz
- fixed i18n patch [#4532]
- removed %%preun
* Mon Nov 20 2000 - cihlar@suse.cz
- fixed neededforbuild
- requires: icons ...
* Fri Oct 13 2000 - cihlar@suse.cz
- fixed i18n
- bzipped sources
- fixed configuration
* Fri Aug 18 2000 - cihlar@suse.cz
- fixed to work with new pixmaps
- fixed config file
* Tue Jun 06 2000 - kukuk@suse.de
- Update to 2.2.4
- Move sysconfdir to /etc/X11/fvwm2
* Mon Jun 05 2000 - ro@suse.de
- doc relocation
* Mon Dec 13 1999 - ro@suse.de
- use /usr/X11R6/bin instead of /usr/bin/X11
- use /usr/X11R6/lib/X11 instead of /usr/lib/X11
* Mon Sep 20 1999 - ro@suse.de
- added Provides windowmanager
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Sat Jul 17 1999 - maddin@suse.de
- created package version 2.2.2 (based on and conflicting with fvwm-2.0)
